homepage/urls.py
from django.urls import path
from django.conf.urls import include
from . import views

app_name='homepage'

urlpatterns = [
    path('',views.home,name='home'),
    path('about/',views.about,name='about'),
    path('contact/',views.contact,name='contact'),
    path('schedule/',include("schedule.urls")),
]

schedule/urls.py
from django.urls import path
from .views import join, delete, see

app_name='schedule'

urlpatterns = [
    path('', join, name='join'),
    path('see/delete/<int:pk>',delete),
    path('see/sched/<int:pk>',see),
]

story4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.

schedule/models.py
from django.db import models

# Create your models here.
class Schedule(models.Model):
    Name = models.CharField(max_length=50)
    Lecturer = models.CharField(max_length=50)
    #SKS = models.CharField(max_length=50)
    Description = models.CharField(max_length=100)
    Semester = models.CharField(max_length=50)
    Class = models.CharField(max_length=50)

schedule/forms.py
from django import forms


class SchedForm(forms.Form):
    Name = forms.CharField(label="Name", 
        widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder': 'Name',
        'type' : 'text',
        'required': True,
    }))

    Lecturer = forms.CharField(label="Lecturer", 
        widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder': 'Lecturer',
        'type' : 'text',
        'required': True,
    }))

    #SKS = forms.CharField(label="SKS",
     #   widget=forms.TextInput(attrs={
      #  'class': 'form-control',
       # 'placeholder': 'SKS',
        #'type' : 'text',
        #'required': True,
    #}))
    
    Description = forms.CharField(label="Description", 
        widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder': 'Description',
        'type' : 'text',
        'required': True,
    }))

    Semester = forms.CharField(label="Semester", 
        widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder': 'Semester',
        'type' : 'text',
        'required': True,
    }))

    Class = forms.CharField(label="Class", 
        widget=forms.TextInput(attrs={
        'class': 'form-control',
        'placeholder': 'Ruang Kelas',
        'type' : 'text',
        'required': True,
    }))

homepage/views.py
from django.shortcuts import render

# Create your views here.
def home (request):
    return render(request, 'home.html')

def about (request):
    return render(request, 'about.html')

def contact (request):
    return render(request, 'contact.html')

schedule/views.py
from django.shortcuts import render, redirect
from .models import Schedule
from .forms import SchedForm

# Create your views here.
def join(request):
    if request.method == "POST":
        form = SchedForm(request.POST)
        if form.is_valid():
            sched = Schedule(
            Name = form.cleaned_data['Name'],
            Lecturer = form.cleaned_data['Lecturer'],
            # sched.SKS = form.cleaned_data['SKS']
            Description = form.cleaned_data['Description'],
            Semester = form.cleaned_data['Semester'],
            Class = form.cleaned_data['Class'],
            )
            sched.save()
        return redirect('/schedule')
    else:
        #sched = Schedule.objects.all()
        form = SchedForm()
        response = {'form':form}
        print(response)
        return render(request,'Schedule.html', response)

def delete(request,pk):
    if request.method == "POST":
        pk = request.POST['pk']
        Schedule.objects.get(pk=pk).delete()
        return redirect('/schedule')
    else:
        sched = Schedule.objects.all()
        form = SchedForm()
        response = {"sched":sched, 'form':form}
        return render(request,'Schedule.html', response)

def see(request,pk):
    if request.method=="POST":
        pk=request.POST['pk']
        sched = Schedule.objects.get(pk=pk)
        response= {"sched":sched}
        return render(request, 'isi.html', response)

homepage/templates/Schedule.html
{% extends 'base.html' %}
{% load static %}
{%block title%}
    <title>Schedule</title>
{%endblock title%}
{%block content%}

<div class="container">
  <div class="row">
      <div class="col">
          <form action='' method="POST">
              {% csrf_token %}
              {{ form }}
              <div class="centre-items">
                  <input type="submit" class="tombol" value="Add Schedule">
              </div>
          </form>
      </div>
      <div class="col">
          <table class="table">
              <thead>
                  <tr>
                  <th scope="col">Nama Matkul</th>
                  
                  </tr>
              </thead>
              <tbody>
                  {% for jadwal in sched %}
                      <td>
                          <form action="see/" method="POST" >
                              <input type="hidden" value="{{ jadwal.pk }}" name="pk">
                              <input class="tombol" type="submit" value="{{pk.Name}}">
                          </form>
                      </td>
                      <td>
                        <a href="/see1/{{jadwal.pk}}"></a>
                        {{jadwal.Name}}
                     </td>
                     

                      </tr>
                  {% endfor %}
              </tbody>
          </table>
      </div>
</div>
{%endblock content%}

homepage/templates/about.html
{% extends 'base.html' %}
{% load static %}
{%block title%}
    <title>About</title>
{%endblock title%}

{%block content%}
    <div> <!--bagian 1-->
      <div class="col-1"> <!--foto dan preview-->
        <div class="header-preview"> <!--preview-->
          <div class="redbutton-preview"></div>
          <div class="yellowbutton-preview"></div>
          <div class="greenbutton-preview"></div>
        </div>
        <img class="aku" src= "{% static 'aku.png' %}">
      </div>
      <div class="col-2"> <!--judul dan intro-->
        <p class="get-to-know-me">Get to Know Me</p>
        <div class="text-edit"> <!--deskripsi diri-->
          <div class="redbutton-text"></div>
          <div class="yellowbutton-text"></div>
          <div class="greenbutton-text"></div>
          <p class="intro">My name is Ayesha Indira Wijaya, but I usually go by Indira. I study Information Systems at University of Indonesia and am currently a sophomore.
            I have interests in public speaking and product management.
            During my free-time, I enjoy playing music.</p>
        </div>
      </div>
    </div> <!--akhir bagian 1-->
    <div> <!--bagian 2-->
      <div class="col-3"> <!--experience-->
        <p class="experience">Experiences</p> <!--judul-->
        <div class="msg-header"> <!--chat-->
          <div class="redbutton-msg"></div>
          <div class="yellowbutton-msg"></div>
          <div class="greenbutton-msg"></div>
        </div>
        <div class="msg">
          <div class="msg-line"></div>
          <div class="general-secretary">
            <p class="gs-text">General Secretary</p>
            <p class="gs-oh">Faculty of Computer Science’s Open House</p>
            <p class="gs-when">March 2020 - Present</p>
          </div>
          <div class="secretary-staff">
            <p class="ss-text">Staff of Secretary</p>
            <p class="ss-compfest">COMPFEST</p>
            <p class="ss-when">January 2020 - Present</p>
          </div>
          <div class="event">
            <p class="event-text">Staff of Event</p>
            <p class="event-perak">Pesta Rakyat Komputer</p>
            <p class="event-when">March 2020 - September 2020</p>
          </div>
        </div>
      </div> <!--akhir experience-->
      <div class="col-4"> <!--achievements-->
        <div class="notif-achievements">
          <p class="achievements">Achievements</p>
          <div class="exit-button"></div>
          <div class="ipb">
            <p class="ipb-2nd">2ND PLACE</p>
            <p class="compe-ipb">English Speech Competition</p>
            <p class="name-ipb">English Festival in Bogor Institute of Agriculture (2018)</p>
          </div>
          <div class="sonlis">
            <p class="sonlis-2nd">2ND PLACE</p>
            <p class="compe-sonlis">English Speech Competition</p>
            <p class="name-sonlis">Sonic Linguistic in MAN Insan Cendekia (2017)</p>
          </div>
          <div class="methodist">
            <p class="methodist-2nd">2ND PLACE</p>
            <p class="compe-methodist">English Speech Competition</p>
            <p class="name-methodist">Methodist Cup in SMA Methodist Jakarta (2016)</p>
          </div>
        </div>
      </div> <!--akhir achievements-->
    </div> <!--akhir bagian 2-->
    <div> <!--bagian 3-->
      <div>
        <p class="education">Education Timeline</p>
      </div>
      <div>
        <img class="sekolah" src="{% static 'sekolah.png' %}">
      </div>
    </div> <!--akhir bagian 3-->
    <div> <!--bagian 4-->
      <p class="fav-albums">My Favorite Albums</p>
      <div>
          <img class="currents" src="{% static 'currents.png' %}">
          <img class="hdwgsd" src="{% static 'hdwgsd.png' %}">
      </div>
      <div>
        <img class="fwn" src="{% static 'fwn.png' %}">
        <img class="tna" src="{% static 'tna.png' %}">
      </div>
    </div> <!--akhir bagian 4-->
    {%endblock content%}

homepage/templates/base.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    {% block title %}
    <title>Document</title>
    {% endblock title%}
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <link href="https://fonts.googleapis.com/css2?family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

   <ul class="nav justify-content-center" id="nav-id">
    <li class="nav-item">
      <a class="nav-link active" href="{% url 'homepage:home' %}" id="nav-id">Home</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="{% url 'homepage:about' %}" id="nav-id">About</a>
    </li>
    <!--<li class="nav-item">
      <a class="nav-link" href="https://drive.google.com/file/d/12qdxdnAWGlbqIlJMw1qG5YcflFzF53p0/view?usp=sharing" id="nav-id">CV</a>
    </li>-->
    <li class="nav-item">
      <a class="nav-link" href="http://story1-indi.herokuapp.com/" id="nav-id">Previous Story</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="{% url 'homepage:contact' %}" id="nav-id">Contact Me</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" href="/schedule/{{jadwal.pk}}" id="nav-id">Schedule</a>
    </li>
  </ul> 

  </head>
  <body>
  
    {% block content %}
    {% endblock content%}

  </body>
</html>

homepage/templates/contact.html
{% extends 'base.html' %}
{% load static %}
{%block title%}
    <title>Contact Me</title>
{%endblock title%}
    {%block content%}
      <div>
        <p class="contact-me">Contact Me</p>
        <div class="contact">
          <div class="redbutton-contact"></div>
          <div class="yellowbutton-contact"></div>
          <div class="greenbutton-contact"></div>
          <p class="name">Ayesha Indira Wijaya<br>"Indira"</p>
          <img class="akulagi" src="{% static 'akulagi.jpeg' %}">
          <p class="instagram">Instagram</p>
          <a class="username" href="https://instagram.com/ayeshaindira">@ayeshaindira</a>
          <p class="linkedin">LinkedIn</p>
          <a class="link-linkedin">Ayesha Indira Wijaya</a>
          <p class="email">Email</p>
          <p class="alamat-email">ayesha.indira.w@gmail.com<br>ayesha.indira@ui.ac.id</p>
        </div>
      </div>
      {%endblock content%}

homepage/templates/home.html
{% extends 'base.html' %}
{% load static %}
{%block title%}
    <title>Home</title>
{%endblock title%}
    {%block content%}
      <div class="browser">
          <div class="redbutton"></div>
          <div class="yellowbutton"></div>
          <div class="greenbutton"></div>
          <p class="greetings">Hello!<br>I'm Indira</p>
          <p class="introduction">I am a 19-year-old Information Systems student</p>
      </div>
      {%endblock content%}

homepage/templates/isi.html
{% extends 'base.html' %}
{% load static %}
{%block title%}
    <title>Isi Jadwal</title>
{%endblock title%}
{%block content%}
<div class="container">
    <table class="table" >
        <tr>
            <td>Name</td>
            <td>{{sched.Name}}</td>
        </tr>
        <tr>
            <td>Lecturer</td>
            <td>{{sched.Lecturer}}</td>
        </tr>
        <!--<tr>
            <td>SKS</td>
            <td>{{sched.SKS}} SKS</td>
        </tr>-->
        <tr>
            <td>Description</td>
            <td>{{sched.Description}}</td>
        </tr>
        <tr>
            <td>Semester</td>
            <td>{{sched.Semester}}</td>
        </tr>
        <tr>
            <td>Class</td>
            <td>{{sched.Class}}</td>
        </tr>
    </table>
    <form action="delete/" method="POST" >
        {% csrf_token %}
        <input type="hidden" value="{{ sched.pk }}" name="pk">
        <input class="tombol" type="submit" value="Delete">
     </form>
    
</div>
{% endblock content %}